[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.Clear

Removes all child menu Items in the class instance.

## Declaration

Source position: menus.pp line 293

`public procedure TMenuItem.Clear;`

## Description

Clear visits each of the TMenuItem instances in Items (in reverse order) and calls their Free method. Clear does not change other property values in the class instance.

## See also

TMenuItem.Items |  | Provides indexed access to the child menu items for the current class instance.